const express = require("express");
const router = express.Router();

const { requireLogin, requireArztOrMitarbeiter } = require("../middleware/auth.middleware");
const {
  addPatientService,
  deletePatientService,
  updatePatientServicePrice,
  updatePatientServiceQuantity,
} = require("../controllers/patientService.controller");

router.post("/:id/services", requireLogin, addPatientService);
router.post("/services/delete/:id", requireArztOrMitarbeiter, deletePatientService);
router.post(
  "/services/update-price/:id",
  requireArztOrMitarbeiter,
  updatePatientServicePrice,
);
router.post("/services/update-quantity/:id", updatePatientServiceQuantity);

module.exports = router;
